ChangeSet 1.1474.81.23, 2004/01/16 16:29:03-08:00, david-b@pacbell.net

[PATCH] USB: high speed iso maxpacket is 1024 not 1023

Someone sent this around mixed with an EHCI patch which should not
be applied (there's a different patch on the way).  I lost their
name, sorry.  It lets 1024 byte ISO packets be used.


 drivers/usb/core/urb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/urb.c b/drivers/usb/core/urb.c
--- a/drivers/usb/core/urb.c	Tue Jan 20 17:35:30 2004
+++ b/drivers/usb/core/urb.c	Tue Jan 20 17:35:30 2004
@@ -268,7 +268,7 @@
 		/* "high bandwidth" mode, 1-3 packets/uframe? */
 		if (dev->speed == USB_SPEED_HIGH) {
 			int	mult = 1 + ((max >> 11) & 0x03);
-			max &= 0x03ff;
+			max &= 0x07ff;
 			max *= mult;
 		}
 
